%global _empty_manifest_terminate_build 0
Name:		python-editor
Version:	1.0.4
Release:	3
Summary:	Programmatically open an editor, capture the result.
License:	Apache-2.0
URL:		https://github.com/fmoo/python-editor
Source0:    	https://github.com/fmoo/python-editor/archive/%{version}.tar.gz
BuildArch:	noarch

%description
Python-editor is a library that provides the editor module for programmatically interfacing with your system's $EDITOR.
Editor first looks for the ${EDITOR} environment variable. If set, it uses the value as-is, without fallbacks.
If no $EDITOR is set, editor will search through a list of known editors, and use the first one that exists on the system.

%package -n python3-editor
Summary:	Programmatically open an editor, capture the result.
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-editor
Python-editor is a library that provides the editor module for programmatically interfacing with your system's $EDITOR.
Editor first looks for the ${EDITOR} environment variable. If set, it uses the value as-is, without fallbacks.
If no $EDITOR is set, editor will search through a list of known editors, and use the first one that exists on the system.

%package help
Summary:	Development documents and examples for python-editor
Provides:	python3-editor-doc

%description help
Development documents and examples for python-editor.

%prep
%autosetup -n python-editor-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-editor -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Wed May 18 2022 liukuo <liukuo@kylinos.cn> - 1.0.4-3
- License compliance rectification

* Tue Feb 23 2021 huangtianhua <huangtianhua223@gmail.org> - 1.0.4-2
- Rename the package to python3-editor

* Thu Dec 17 2020 Python_Bot <Python_Bot@openeuler.org> - 1.0.4-1
- Package Spec generated
